<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetTypesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: asset_types
         */
        Schema::create('asset_types', function ($table) {
            $table->increments('id');
            $table->string('name', 250)->nullable();
            $table->integer('book_expected_life')->nullable();
            $table->string('image_no', 250)->nullable();
            $table->integer('replacement_unit_cost')->nullable();
            $table->string('qty_type', 100)->nullable();
            $table->string('expected_life_source', 250)->nullable();
            $table->integer('removal_cost')->nullable();
            $table->string('removal_unit_cost_source', 250)->nullable();
            $table->integer('supply_install_cost')->nullable();
            $table->string('supply_install_cost_source', 250)->nullable();
            $table->integer('design_fees')->nullable();
            $table->integer('contingency')->nullable();
            $table->string('model', 250)->nullable();
            $table->string('system', 250)->nullable();
            $table->integer('category')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('asset_types');
    }
}
