Lavalite package that provides asset_type management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `assetise/asset_type`.

    "assetise/asset_type": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Assetise\AssetType\Providers\AssetTypeServiceProvider::class,

And also add it to alias

    'AssetType'  => Assetise\AssetType\Facades\AssetType::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Assetise\\AssetType\\Seeders\\AssetTypeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Assetise\AssetType\Providers\AssetTypeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Assetise\AssetType\Providers\AssetTypeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Assetise\AssetType\Providers\AssetTypeServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/asset_type/{modulename}

**User**

    http://path-to-route-folder/user/asset_type/{modulename}

**Public**

    http://path-to-route-folder/asset_types


### API endpoints

**List**

    http://path-to-route-folder/api/user/asset_type/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/asset_type/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/asset_type/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/asset_type/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/asset_type/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/asset_type/{modulename}/{slug}
    METHOD: GET